"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
function router(pathlist, req, res, next) {
    // 这里的需要去 platweb 目录下找
    let [apifile, apifun] = pathlist;
    try {
        let api = require(path_1.join(__dirname, apifile));
        if (api && apifun && api[apifun]) {
            api[apifun](req, res, next);
        }
        else if (api && api.router) {
            api.router(pathlist.slice(1, pathlist.length), req, res, next);
        }
        else {
            next();
        }
    }
    catch (e) {
        next();
    }
}
exports.router = router;
