"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const server_1 = require("./server");
const express_1 = __importDefault(require("express"));
const md_1 = __importDefault(require("./md"));
var instance = new server_1.cWebRouteModule();
/**
 * 这里负责http的解析，然后传递给对于的处理方法
 * 目前比较简陋，后续需要增加一下处理
 */
exports.WebRouteModule = {
    name: 'WebRouteModule',
    instance: instance,
    /**在模块初始化开始前注册 */
    use(...handlers) {
        if (instance.inited) {
            // console.warn('has b')
            return false;
        }
        else {
            instance.usePools.push(...handlers);
            return true;
        }
    },
    md_parse: md_1.default,
    /**在模块初始化开始前注册 */
    enableStatic: function (root) {
        if (instance.inited) {
            // console.warn('has b')
            return false;
        }
        else {
            instance.usePools.push(express_1.default.static(root));
            return true;
        }
    },
    /**注册代码模块的位置 */
    routePath(routePath) {
        instance._route_path = routePath;
    },
    /**
     * 是否开启跨域
     */
    openCross(b_switch = true) {
        instance.openCross = b_switch;
    },
    /**
     * 初始化模块
     * @param port
     */
    init(port) {
        return new Promise(function (resolve) {
            instance.init(port, resolve);
        });
    }
};
